Ready to take your JavaScript development to the next level? Meet npm Enterprise - the ultimate in enterprise JavaScript. Learn more »

This package has been deprecated

Author message:

The Vulcanize project is no more.

gulp-vulcanize

8.0.0 • Public • Published

Deprecated

The Vulcanize project is no more.


gulp-vulcanize Build Status

Concatenate a set of Web Components into one file with Vulcanize

Issues with the output should be reported on the Vulcanize issue tracker.

Install

$ npm install --save-dev gulp-vulcanize

Usage

const gulp = require('gulp');
const vulcanize = require('gulp-vulcanize');
 
gulp.task('default', () =>
    gulp.src('src/index.html')
        .pipe(vulcanize({
            abspath: '',
            excludes: [],
            stripExcludes: false
        }))
        .pipe(gulp.dest('dest'))
);

API

vulcanize([options])

See the Vulcanize options.

License

MIT © Sindre Sorhus

install

npm i gulp-vulcanize

Downloadsweekly downloads

6,721

version

8.0.0

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
Report a vulnerability